cURL
curl --request GET \
--url https://api.brightdata.com/datasets/snapshots/{id}/parts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/datasets/snapshots/{id}/parts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/datasets/snapshots/{id}/parts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"parts": 123
}"Snapshot is not ready""snapshot not found"市场数据集 API
获取快照部分
Get dataset snapshot delivery parts. All query parameters used here need to match those used when downloading the snapshot to get accurate parts
GET
/
datasets
/
snapshots
/
{id}
/
parts
cURL
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
路径参数
Snapshot ID
示例:
"snap_m2bxug4e2o352v1jv1"
查询参数
Format of the response
可用选项:
json, ndjson, jsonl, csv Whether or not the response will be compressed in gzip format
Number of records that will be included in each response batch
响应
OK